## org.eclipse.wst.common.environment
Interface IEnvironment

    public interface IEnvironment

An IEnvironment provides the means for getting a

1. A log for writing messages to a logging facility,
2. A progress monitor for receiving progress information,
3. A status handler for receiving and processing status reports,
4. A factory for the handling of URIs (resources).

Since:
  1.0

Method Summary
`ILog` `getLog()` Returns a logging facility.
`IStatusHandler` `getStatusHandler()` Returns a status handler.
`IURIFactory` `getURIFactory()` Returns a IURI factory.

Method Detail

### getLog

    ILog getLog()

  Returns a logging facility.

  Returns:
    returns a logging facility.

### getStatusHandler

    IStatusHandler getStatusHandler()

  Returns a status handler.

  Returns:
    returns a status handler.

### getURIFactory

    IURIFactory getURIFactory()

  Returns a IURI factory. Hint: Implementers should insure that the Factory they return has a reference to this IEnvironment so that IURI objects can report progress and announce status.

  Returns:
    returns a URI factory.